%define upstream_name    Dist-Zilla-Util-Git-Wrapper
%define upstream_version 0.004002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A role to make adding a ->git method easy, and low-complexity
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::UtilRole::MaybeZilla)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Log::Contextual::LogDispatchouli)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Yes, this does very little, but simply serves as an abstraction for getting
a Git::Wrapper object from git, mostly, because everyone remembers
$self->zilla, but you have to RTFM and go source diving to know about
$self->zilla->root

This is a simple straight forward way of doing what you want with the least
mental overhead.

Everything else is just proxy methods for git.

This is a more I.O.C approach to my swathes of
Dist::Zilla::Role::Git::LocalRepository stuff, which got so complex with
dependency management my head exploded.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.2-3.mga8
+ Revision: 1504341
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.2-2.mga7
+ Revision: 1283532
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 0.4.2-1.mga7
+ Revision: 1217241
- imported package perl-Dist-Zilla-Util-Git-Wrapper


* Tue Apr 10 2018 cpan2dist 0.004002-1mga
- initial mageia release, generated with cpan2dist
